Skip to main content

Variables

List all available variables.​

Request​

GET http://printer/api/v3/variables

Response​

[
{
"name": "My First Variable",
"value": "ABC"
},
{
"name": "My Second Variable",
"value": "X Y Z"
}
]

Get a variable.​

Request​

GET http://printer/api/v3/variables/{name}

Path Parameters​

NameTypeDescription
nameStringVariable name

Response​

{
"description": "Optional description",
"userEdit": true,
"value": "ABC"
}

Delete a variable.​

Request​

DELETE http://printer/api/v3/variables/{name}

Path Parameters​

NameTypeDescription
nameStringVariable name

Response​

None.

Create or replace a variable.​

Request​

PUT http://printer/api/v3/variables/{name}

Path Parameters​

NameTypeDescription
nameStringVariable name

Headers​

NameTypeDescription
Content-TypeStringapplication/json

Body​

NameTypeDescription
valuestringVariable value.
descriptionstringA description that is shown in the UI instead of the name.
userEditbooleanIf the variable shall be changeable when an operator selects a label containing the variable.

Response​

None.